Bug 858570 - RFE: detect correct buildorder of srpm in mockchain
RFE: detect correct buildorder of srpm in mockchain
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1164816
  Show dependency treegraph
 
Reported: 2012-09-19 03:28 EDT by Bohuslav "Slavek" Kabrda
Modified: 2016-11-25 04:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-09-19 03:28:02 EDT
I haven't found any way to report this to the upstream via Trac (seems that FAS account is not enough to open a ticket...), so I'm hoping that packagers are part of upstream (or at least very close) and we can discuss it here.

I've been talking with Seth Vidal (original author of mockchain) about making some improvements to mockchain (mainly estimating the close-to-ideal order of building packages). Seth agrees, so I wanted to ask if you guys would accept such optimizations.
What I want to achieve here is lowering the count of unsuccessful builds by trying to find out close-to-ideal (just best estimate, I'm not solving PNP here) solution by examining the Requires/Provides of all packages and then sorting them.
In the beginning, this optimization should be turned on by a command line switch and not used at all by default. If it would prove to generally improve time of builds, then it may become the default, but that is too far away for now.

So would you accept such a modification (in case you are not the upstream, but just a maintainer, what is the best way to contact them? :) )

Thanks!
Comment 1 seth vidal 2012-09-26 15:10:16 EDT
you can just email things like this to the buildsys mailing list. I know clark and I both follow it and that's the extent of the mock upstream afaik. :)

For the record - I believe it is worth trying to sort the srpms - however, I am not particularly optimistic about the likelihood of success :)
Comment 2 Bohuslav "Slavek" Kabrda 2012-09-27 01:53:45 EDT
(In reply to comment #1)
> you can just email things like this to the buildsys mailing list. I know
> clark and I both follow it and that's the extent of the mock upstream afaik.
> :)
> 

Oh, ok :)

> For the record - I believe it is worth trying to sort the srpms - however, I
> am not particularly optimistic about the likelihood of success :)

I'm quite convinced that it can do good for larger sets of packages. Considering the time that unsuccessful mock build takes, it seems to me that it is really worth trying.

Anyway, thanks for the response. I don't know when I'll have the time to get to this, but one day, I will...
Comment 3 Fedora End Of Life 2013-04-03 14:00:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Miroslav Suchý 2013-11-08 07:46:04 EST
Still valid for rawhide.
Comment 5 Miroslav Suchý 2013-11-08 07:49:53 EST
Just for records, I offered this as thesis topic for Czech Universities.
https://thesis-managementsystem.rhcloud.com/topic/show/163/sort-packages-by-buildrequires
Comment 6 Vit Ry 2016-11-25 04:06:40 EST
+1 for this idea!

Note You need to log in before you can comment on or make changes to this bug.